/*
	deck.h
	Copyright (C) 2001 David Fifield

	This file is part of solitairecrypt.

	solitairecrypt is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation; either version 2, or (at
	your option) any later version.

	solitairecrypt is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _DECK_H
#define _DECK_H

enum {
	DECK_SIZE = 54,
	JOKER_A = DECK_SIZE - 2,
	JOKER_B = DECK_SIZE - 1 
};

typedef signed char card;

typedef struct deck deck;
struct deck {
	card cards[DECK_SIZE];
	unsigned int joker_a;
	unsigned int joker_b;
};

deck *deck_new(void);

void deck_init(deck *d);

void deck_free(deck *d);

void deck_move_jokers(deck *d);

void deck_triple_cut(deck *d);

void deck_count_cut(deck *d);

void deck_count_cut_num(deck *d, unsigned int n);

void deck_rotate(deck *d, int n);

void deck_print(deck *d);

#endif

