/*
	solitairecrypt.h
	Copyright (C) 2001 David Fifield

	This file is part of solitairecrypt.

	solitairecrypt is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation; either version 2, or (at
	your option) any later version.

	solitairecrypt is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _SOLITAIRECRYPT_H
#define _SOLITAIRECRYPT_H

#include <stdio.h>

struct prog_option_t {
	char *in_filename;
	unsigned int block_size;
	unsigned int line_len;
	int crypt_dir;	/* SOLITAIRE_ENCRYPT or SOLITAIRE_DECRYPT */
	char *keyphrase;
	char *out_filename;
};

void set_prog_option(int argc, char *argv[],
                     struct prog_option_t *prog_option);

void print_help(FILE *s);

void print_version(FILE *s);

void error(char *fmt, ...);

void warning(char *fmt, ...);

#endif

